<div class="miam-text-input m-input">
  <input class="miam-text-input__input" [id]="uniqueId" [ngModel]="formControl?.value" type="text" />
  <label class="miam-text-input__label" [for]="uniqueId" [ngClass]="{'miam-text-input__label__top': formControl?.value}" >{{placeholder}}</label>
  <ng-miam-icon *ngIf="icon" class="miam-text-input__icon" [iconName]="icon" primaryColor="var(--m-color-primary)"></ng-miam-icon>
</div>